Subject: Re: lighttpd - problems with cgi scripts
From: "Gerrit P. Haase" <[email-masked]>
To: Brian Dessent <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 26 Sep 2004 03:36:27 +0200

Hallo Brian,

Am Sonntag, 26. September 2004 um 02:19 schriebst du:

> "Gerrit P. Haase" wrote:

>> #!/usr/bin/perl
>> 
>> use strict;
>> use CGI::Carp qw(fatalsToBrowser);
>> 
>> print "Content-type: text/html\n\n";
>                                 ^^^^^
> This is not a valid CGI script.  All HTTP headers must be terminated by
> CRLF, so you'd have to use "\r\n\r\n" here.  But it's generally regarded
> as a bad thing to explicitly emit headers yourself if you're using the
> CGI module, which takes care of all such things for you.  As you noted
> your example that does it the right way (by calling header()) works
> fine.

That works, thanks for pointing this out, however, lighttpd should
simply give back an error instead of burning my cpu.

>> However, I have a complex script here which works.  There I get an error
>> when I try to connect a postgres database, DBI says:
>>    could not create socket: Operation not permitted
>> 
>> I tried to connect from perl to postgres that works, then I tried the
>> same script calling from lighttpd, it fails with the above mentioned
>> symptoms.

> This sounds suspiciously like the "SYSTEMROOT being removed from the
> environment" problem.

Hmmm, SYSTEMROOT:
$ set | grep SYSTEMROOT
SYSTEMROOT='C:\WINNT'

Doesn't a cygwin application need to know about CYGWIN_ROOT instead of
SYSTEMROOT?

I'll see if I can find the thread about it in the archives.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/